diff --git a/doc/C/timidity.1 b/doc/C/timidity.1
--- a/doc/C/timidity.1
+++ b/doc/C/timidity.1
@@ -199,7 +199,7 @@
 .RE
 .TP
 .B \-a, \-\-[no\-]anti\-alias
-Turns on antialiasing.  Samples are run through a lowpass filter
+Turns on anti-aliasing.  Samples are run through a lowpass filter
 before playing, which reduces aliasing noise at low resampling
 frequencies.
 .TP
@@ -269,7 +269,7 @@
 Sets the system manufacturer ID to \fIHH\fP (where \fIHH\fP are two
 hex\-digits).
 .br
-In this option, the manufacuture ID is set unchangable. Manufacuture
+In this option, the manufacturer ID is set unchangeable. Manufacturer
 ID from the input file would be ignored.
 .TP
 .BI b n ", \-\-default\-bank=" n
@@ -440,14 +440,12 @@
 system has support for the X Window System.
 .TP
 .BI "\-H " n ", \-\-force\-keysig=" n
-Specify the number of key signature.  MIDI file is performed with
-transposition to the key of the number of sharp (when \fIn\fP is
-positive) or flat (when \fIn\fP is negative).  Valid values of \fIn\fP
-are in the interval from \fB\-7\fP to \fB7\fP.  For example, if \fIn\fP
-is \fB1\fP, MIDI file with any tonality will be performed transposing
-to \fB1\fP flat (i.e., F major or D minor).  Therefore, it is
-convenient to use for the accompaniment when practicing a musical
-instrument by the tonality which is easy to perform.
+Specify the key signature.  MIDI playback is transposed to the key
+with the same number of sharps (when \fIn\fP is
+positive) or flats (when \fIn\fP is negative).  Valid values for \fIn\fP
+range from \fB\-7\fP to \fB7\fP.  For example, if \fIn\fP
+is \fB1\fP, MIDI playback would transpose \fB1\fP flat
+(i.e., F major or D minor).
 .TP
 .B \-h, \-\-help
 Show the help message.
@@ -516,10 +514,10 @@
 Launch \fBTiMidity++\fP as ALSA sequencer client.
 .TP
 .B \-iW
-Windodws synthesizer interface
+Windows synthesizer interface
 .TP
 .B \-iw
-Windodws GUI interface
+Windows GUI interface
 .TP
 .B \-iP
 PortMIDI synthesizer interface
@@ -740,7 +738,7 @@
 .B \-Oj
 JACK
 .TP
-.B \-Or
+.B \-OR
 aRts
 .TP
 .B \-OA
diff --git a/doc/C/timidity.cfg.5 b/doc/C/timidity.cfg.5
--- a/doc/C/timidity.cfg.5
+++ b/doc/C/timidity.cfg.5
@@ -4,7 +4,7 @@
 .SH DESCRIPTION
 The file \fBtimidity.cfg\fP describes the runtime environments of
 timidity(1): that are the path of sound font, instruments
-configurations or else.
+configurations, etc.
 .br
 \fBTiMidity++\fP looks for the configuration file \fBtimidity.cfg\fP
 at startup, before processing any options.  If it can't be accessed,
@@ -30,7 +30,7 @@
 ${variable} # same as $variable
 .sp
 For the moment, the command which newly defines variables is not
-prepared.  The undifined variable is transposed to null string.
+prepared.  The undefined variable is transposed to null string.
 .br
 The variable defined as a regular variable is the next only one.
 .TP
@@ -89,13 +89,13 @@
 .BI "bank " "[MapID1] number"
 Selects the tone bank to modify.  Patch mappings that follow will
 affect this tone bank.  You can indicate specific map as a target, by
-specifing any ofthe following to \fIMapID1\fP: \fBgm2\fP, \fBsc55\fP,
+specifying any of the following to \fIMapID1\fP: \fBgm2\fP, \fBsc55\fP,
 \fBsc88\fP, \fBsc88pro\fP, \fBsc8850\fP, \fBxg\fP and \fBxgsfx64\fP.
 .TP
 .BI "drumset " "[MapID2] number"
 Selects the drum set to modify.  Patch mappings that follow will
 affect this drum set.  You can indicate specific map as a target, by
-specifing any ofthe following to \fIMapID2\fP: \fBgm2drum\fP,
+specifying any of the following to \fIMapID2\fP: \fBgm2drum\fP,
 \fBsc55drum\fP, \fBsc88drum\fP, \fBsc88prodrum\fP, \fBsc8850drum\fP,
 \fBxgdrum\fP and \fBxgsfx126\fP.
 .TP
@@ -363,7 +363,7 @@
 .TP
 .BI "#extension timeout " "program second"
 Specifies the time\-out value of the \fIprogram\fP.  If any notes
-played with the tone number \fIprogram\fP are suspended more than
+played with the tone number \fIprogram\fP are suspended for more than
 \fIsecond\fP seconds, \fBTiMidity++\fP kills the notes.
 .TP
 .BI "#extension copydrumset " drumset
diff --git a/doc/ja_JP.eucJP/timidity.1 b/doc/ja_JP.eucJP/timidity.1
--- a/doc/ja_JP.eucJP/timidity.1
+++ b/doc/ja_JP.eucJP/timidity.1
@@ -745,7 +745,7 @@
 .B \-Oj
 JACK
 .TP
-.B \-Or
+.B \-OR
 aRts
 .TP
 .B \-OA
